Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 165953 - pm-shutdown and pm-restart missing
Summary: pm-shutdown and pm-restart missing
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pm-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-08-15 09:47 UTC by Richard Hughes
Modified: 2015-03-05 01:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-24 10:08:40 UTC


Attachments (Terms of Use)

Description Richard Hughes 2005-08-15 09:47:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I see the new scripts pm-hibernate and pm-suspend are present. This is great as it supplies the low level hooks for HAL/GNOME Power Manager/Power Manager to execute a generic suspend/hibernate.

For completeness, wouldn't the two scripts pm-restart and pm-shutdown also have merit? In this way the "/sbin/shutdown -r now" or "halt ..." doesn't have to be hardcoded in HAL or PowerManager - it can just treat them the same as another power-event.

In this way gentoo, debian, ubuntu etc can supply thier own pm-utils package just with these scripts in - which will give the user a common commandset - even if the scripts are radiacally different.


Version-Release number of selected component (if applicable):
pm-utils-0.04-1

How reproducible:
Always

Steps to Reproduce:
1. type pm-reboot
2. nothing :-)
  

Actual Results:  Nothing

Expected Results:  /sbin/shutdown -r now should have executed, along with any clever logic too.

Additional info:

Comment 1 Bill Nottingham 2005-08-19 07:01:45 UTC
Why would shutdown or reboot have anything to do with power management?

Comment 2 Richard Hughes 2005-08-19 08:11:09 UTC
PowerManagement is surely restarting a machine, and shutting down the power? 

Also having these scripts here would lets use use HAL to do an architecture
neutral, distro neutral Shutdown() and Restart() dbus command without any clever
path-foo or distro-tweak-foo. Also having these scripts here would allow us to
put any future cleverness like bootdown-splashscreen or radeontool blanking if
we needed to.

Comments?

Comment 3 Bill Nottingham 2005-08-19 21:25:13 UTC
Hm, ok. I suspect they'd just be symlinks to the already-existing consolehelper
symlinks for reboot/shutdown.

Comment 4 Phil Knirsch 2006-02-24 10:08:40 UTC
I'll be putting in some symlinks for now so we have the basis for pm-shutdown
and pm-restart.

Will be in next build.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.